Bug 471611 - File conflicts with kdeutils during upgrade from f9-testing
File conflicts with kdeutils during upgrade from f9-testing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 11:51 EST by Jerry Amundson
Modified: 2009-03-17 08:38 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-17 08:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2008-11-14 11:51:50 EST
Description of problem:
File conflicts with kdeutils during upgrade from f9, using Fedora-10-Preview-i386-CDs

Version-Release number of selected component (if applicable):
kdepim-6:4.1.2-4.fc10.i386

How reproducible:
Once

Steps to Reproduce:
1. Install Fedora 9 and KDE
2. Boot from f10 preview 
3. Attempt upgrade
  
Actual results:
Error Running Transaction

Expected results:
Successful upgrade.

Additional info:
The following conflict with kdeutils-6:4.1.3-1.fc9.i386:
/usr/bin/kjots
/usr/lib/kde4/kjotspart.so
/usr/share/applications/kde4/Kjots.desktop
/usr/share/doc/HTML/en/kjots/common
/usr/share/doc/HTML/en/kjots/index.cache.bz2
Comment 1 Rex Dieter 2008-11-14 12:06:24 EST
kde-4.1.3 will be issued as a 0-day update for F10.
Comment 2 Jerry Amundson 2008-11-14 12:53:38 EST
So existing f9 systems with KDE installed cannot use iso media to upgrade to f10?
Am I missing something here?
Comment 3 Kevin Kofler 2008-11-14 13:39:10 EST
4.1.3 is only in testing for now.

That said, I think this kind of conflicts are unavoidable, AFAIK they also existed with F8->F9 and the KDE 3->4 migration. Well, the only way to avoid it is to never move files between packages, but when upstream KDE moves them, what should we do?
Comment 4 Kevin Kofler 2008-11-14 13:58:14 EST
Some more thoughts about this issue:

* AFAIK it's too late to try to get 4.1.3 into F10, and in any case it wouldn't fix this permanently, we'd have the same problem again with 4.1.4.

* A quick way to fix this would be to bump the Epoch of kdeutils in F10+ (and F10+ only), but:
- AFAIK the deadline for f10-final tagging has already lapsed, we'd have to be really quick and convince rel-eng this is an absolute blocker,
- we also have to kick out the 4.1.3 stuff from the F10 buildroot to build that.

* One way to fix this without touching the F10 packages would be to move kjots to kdepim in F9 too, but then F9's kdepim would be a mix of KDE 3 and KDE 4 stuff. Splitting it out might also work, but then it'd still have to be removed manually if someone installs it, unless we can update kdeutils in F10 to include an Obsoletes (which has similar constraints as the .

* It might also be possibile to blacklist kdeutils in Anaconda (to get it removed before the upgrade - but I'm not sure that works, it could be that Anaconda only processes the blacklist after the upgrade, I don't know), but then it'd have to be readded post-install. Not quite an ideal solution (and would also need rel-eng and Anaconda team buy-in).
Comment 5 Kevin Kofler 2008-11-14 14:02:40 EST
The truncated sentence should have read: "which has similar constraints as the Epoch bump".
Comment 6 Rex Dieter 2008-11-14 14:04:52 EST
> So existing f9 systems with KDE installed cannot use iso media to upgrade

As soon as updates to f9 make pkgs "newer" than what's on the f10 media, this has the potential to happen.

In this case, upstream moving kjots around didn't help matters.

In the meantime, we'll continue to brainstorm to see if there's anything that can be done packaging-wise to mitigate the upgrade conflicts.
Comment 7 Rex Dieter 2008-11-14 14:07:49 EST
Also in the meantime, the simplest workaround is to remove one (or both) of the offending (conflicting) packages prior to upgrade, and (re)install them afterward.
Comment 8 Jerry Amundson 2008-11-19 12:52:50 EST
(In reply to comment #0)
> Steps to Reproduce:
> 1. Install Fedora 9 and KDE
> 2. Boot from f10 preview 
> 3. Attempt upgrade

Correction:
1. Install Fedora 9 and KDE, enable testing repo and update.

Removal of kdeutils prior to the f10 upgrade was a successful road for me.
Comment 9 Bug Zapper 2008-11-26 00:23:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.